When built under Cygwin, with the -mno-cygwin option, OpenSSL
0.9.8 builds, tests, and installs fine (only tested with no-idea
no-shared). I noticed, however, that I was getting 5 warnings from
gcc. The attached patch should fix the warnings. When tested against
0.9.8-stable-SNAP-20050709, with the patch applied, it builds without
any warnings under cygwin for mingw. I also tested for DJGPP, and it
builds fine on that platform with the patch. I hope that no other
platforms will be adversely affected.

Since I am in the US, I am also sending a copy of the patch to the usual
US government addresses.
Doug

--
Doug Kaufman
Internet: dkaufman@rahul.net
__________________________________________________ ____________________
OpenSSL Project http://www.openssl.org
Development Mailing List openssl-dev@openssl.org
Automated List Manager majordomo@openssl.org